def add(x, y):
    return x + y

def sub(x, y):
    return x - y
 
def mul(x, y):
    return x * y

def div (x, y):
    if y !=0:
        return x / y
    else:
        return "Man kann nicht durch 0 dividieren"

def Rechner():
    print("Hallo bei unserem Rechner!")
    print("1. Add")
    print("2. sub")
    print("3. mul")
    print("4. div")
    
while True:
    auswahl = input("Rechne(1/2/3/4)")
    
    if auswahl in ['1', '2', '3', '4']:
        num1 = float(input("Gibt die erste Zahl ein: "))
        num2 = float(input("Gibt die zweite Zahl  an: "))
        
    if auswahl == '1':
        print(f"das Ergebnis ist: {add(num1, num2)}")
            
    elif auswahl == '2':
        print(f"das Ergebnis ist: {sub(num1, num2)}")
            
    elif auswahl == '3':
        print(f"das Ergebnis ist: {mul(num1, num2)}")
            
    elif auswahl == '4':
        print(f"das Ergebnis ist: {div(num1, num2)}")
            
            
        next_rechner = input("Willst du nochmal was rechnen?")
        if next_rechner.lower() != 'yes':
            break
        else:
            print("Falsche Eingabe 1-4")
            
            
            
            
            
            
            
            